package com.zehong.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 用户关联对象 t_user_relation
 * 
 * @author zehong
 * @date 2023-07-11
 */
public class TUserRelation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long relationId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 关联用户id */
    @Excel(name = "关联用户id")
    private Long relationUserId;

    /** 是否删除：0否，1是 */
    @Excel(name = "是否删除：0否，1是")
    private String isDel;

    private String account;

    private String password;

    public void setRelationId(Long relationId)
    {
        this.relationId = relationId;
    }

    public Long getRelationId() 
    {
        return relationId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setRelationUserId(Long relationUserId) 
    {
        this.relationUserId = relationUserId;
    }

    public Long getRelationUserId() 
    {
        return relationUserId;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("relationId", getRelationId())
            .append("userId", getUserId())
            .append("relationUserId", getRelationUserId())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .append("remark", getRemark())
            .toString();
    }
}
